package cn.com.poc.appbuilder.api.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;
/**
 * @Author: Jennie
 * @Description:
 * @Date: 2024/8/7 12:11
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChatConfig implements Serializable {

    /**
     * 模型id
     */
    private String modelId;

    /**
     * 模型名称
     */
    private String model;

    /**
     * 历史对话参考轮数
     */
    private int historyChatRounds;

    /**
     * rag模型配置
     */
    private RagModelConfig config;

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public int getHistoryChatRounds() {
        return historyChatRounds;
    }

    public void setHistoryChatRounds(int historyChatRounds) {
        this.historyChatRounds = historyChatRounds;
    }

    public RagModelConfig getConfig() {
        return config;
    }

    public void setConfig(RagModelConfig config) {
        this.config = config;
    }
}
